> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete v3producers contracts charges and creditsbulk updatesinput id 

> This API view allows to delete charge/credit based on customer_contract_id and input_id.

Multiple repeatable charges/credits can be removed this way (as they will have same input_id).

NOTE: if you delete charge/credit that already was applied, this will not change bill automatically.
You have to cancel original bill and recreate it with new data.



## OpenAPI

````yaml /lumx_openapi.yaml delete /v3/producers/{userID}/contracts/{contractID}/charges_and_credits/bulk_updates/input_id/{inputId}/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/producers/{userID}/contracts/{contractID}/charges_and_credits/bulk_updates/input_id/{inputId}/:
    delete:
      tags:
        - producers
      description: >-
        This API view allows to delete charge/credit based on
        customer_contract_id and input_id.


        Multiple repeatable charges/credits can be removed this way (as they
        will have same input_id).


        NOTE: if you delete charge/credit that already was applied, this will
        not change bill automatically.

        You have to cancel original bill and recreate it with new data.
      operationId: producers_contracts_charges_and_credits_bulk_updates_input_id_destroy
      parameters:
        - in: path
          name: contractID
          schema:
            type: string
          required: true
        - in: path
          name: inputId
          schema:
            type: string
          required: true
        - in: path
          name: userID
          schema:
            type: string
          required: true
      responses:
        '204':
          description: No response body

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.